Layers out of order

2013-04-15 07:33 PM - Aren Cambre

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows, Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16546

Description

In QGIS 1.9 (051fe31), the layers are out of order. I've attached both a screen print showing the bottom layer on top in the final rendering.

I also attached the .qgs file.

Note that the .qgs file is from 1.8.0 final release, and I got that dialog warning me that it will be converted to 1.9's format.

Associated revisions

Revision fc58edd6 - 2013-05-25 05:35 PM - Jürgen Fischer

legend updates:

- when enabling explicit drawing order, intially take legend order

- when loading projects with explicit drawing order enabled,

  verify that the order is actually fully set and take legend

  order otherwise (fixes #7623)

- store/restore active layer

History

#1 - 2013-04-16 01:03 AM - Giovanni Manghi

- Status changed from Open to Feedback

please check the "layer order" panel.

#2 - 2013-04-16 12:14 PM - Aren Cambre

The order in the Layer order panel is the exact opposite of the order in the Layer panel. It's as if that got reversed upon import.

#3 - 2013-05-24 04:31 AM - Andreas Neumann

- Priority changed from Normal to Severe/Regression

I think this should be a blocker. But it is still unassigned. We should find a developer who can fix it.

#4 - 2013-05-24 05:54 AM - Sandro Santilli

- Operating System changed from Windows to Windows, Linux

2024-04-10 1/2



- OS version changed from 7 x64 to Windows7 x64, Ubuntu 12.04 x64

More info:

Right-click menu shows "Update drawing order" is unchecked,                                                                    

if I check it things work as they used to (top layer is rendered on top);                                                      

unchecking it again that order is swapped.

Activating the layer ordering panel indeed shows that items in                                                                 

that panel are always following changes in the layer panel, so                                                                 

to be always in the reverse order of the latter. Funny :)

#5 - 2013-05-24 08:34 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#6 - 2013-05-25 08:35 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"fc58edd6310e01e6b7143c91f60099b18e51daa8".

Files
Heatmap2.qgs 14.4 KB 2013-04-15 Aren Cambre
